classification
Title: Add None handling for get_saved() in IDLE
Type: Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE's close fails io is set to None on Mac
View: 35379
Assigned To: terry.reedy Nosy List: rhettinger, terry.reedy
Priority: normal Keywords: patch

Created on 2018-11-16 06:26 by rhettinger, last changed 2019-09-14 05:52 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10564 open thatiparthy, 2018-11-16 09:50
Messages (2)
msg329982 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-11-16 06:26
Exception in Tkinter callback
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/tkinter/__init__.py", line 1705, in __call__
    return self.func(*args)
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/idlelib/multicall.py", line 176, in handler
    r = l[i](event)
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/idlelib/filelist.py", line 54, in close_all_callback
    reply = edit.close()
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/idlelib/pyshell.py", line 1014, in close
    return EditorWindow.close(self)
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/idlelib/editor.py", line 1015, in close
    reply = self.maybesave()
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/idlelib/outwin.py", line 93, in maybesave
    return 'yes' if self.get_saved() else 'no'
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/idlelib/editor.py", line 948, in get_saved
    return self.undo.get_saved()
AttributeError: 'NoneType' object has no attribute 'get_saved'
msg349439 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-08-12 05:38
I suspect that this is related to #35379, where I added some preliminary analysis.
History
Date User Action Args
2019-09-14 05:52:18terry.reedysetstatus: open -> closed
superseder: IDLE's close fails io is set to None on Mac
resolution: duplicate
stage: patch review -> resolved
2019-08-12 05:38:23terry.reedysetmessages: + msg349439
2018-12-11 21:11:24terry.reedysetversions: + Python 3.8
2018-11-16 09:50:56thatiparthysetkeywords: + patch
stage: patch review
pull_requests: + pull_request9813
2018-11-16 06:26:06rhettingercreate